function freeze_midnight(surface)
	surface.freeze_daytime = true
	surface.daytime = (surface.evening + surface.morning) / 2
end

script.on_init(function()
	if settings.global["nstand-night-start"].value then
		for _, s in pairs(game.surfaces) do
			freeze_midnight(s)
		end
		script.on_event(defines.events.on_surface_created, function(event)
			freeze_midnight(game.surfaces[event.surface_index])
		end)
	end
	if settings.global["nstand-disable-night-vision"].value then
		for _, f in pairs(game.forces) do
			f.technologies["night-vision-equipment"].enabled = false
		end
		script.on_event(defines.events.on_force_created, function(event)
			event.force.technologies["night-vision-equipment"].enabled = false
		end)
	end
end) 

-- TODO on_configuration_changed
