-- TODO move this to separate mod
data.raw["electric-pole"]["big-electric-pole"].maximum_wire_distance = 25
data.raw["recipe"]["wind-turbine-2"].enabled = false

local stand_by_lights = {
	{
		minimum_darkness = 0.3,
		color = { r = 0.05, g = 0.2, b = 1, a = 0 },
		shift = {-0.6, -3.5},
		size = 3,
		intensity = 0.7,
		add_perspective = true
	},
	{
		minimum_darkness = 0.3,
		color = { r = 0.05, g = 0.2, b = 1, a = 0 },
		shift = {0.6, -3.5},
		size = 3,
		intensity = 0.7,
		add_perspective = true
	},
	{
		minimum_darkness = 0.3,
		color = { r = 1, g = 1, b = 1, a = 0 },
		shift = {0, -2},
		size = 15,
		intensity = 0.3,
	},
	{
		minimum_darkness = 0.3,
		color = { r = 1, g = 1, b = 1, a = 0 },
		shift = {0, 2},
		size = 15,
		intensity = 0.3,
	}
}

local back_lights = {
	{
		minimum_darkness = 0.3,
		color = { r = 1, g = 0.1, b = 0.05, a = 0 },
		shift = {-0.6, 3.5},
		size = 3,
		intensity = 0.8,
		add_perspective = true
	},
	{
		minimum_darkness = 0.3,
		color = { r = 1, g = 0.1, b = 0.05, a = 0 },
		shift = {0.6, 3.5},
		size = 3,
		intensity = 0.8,
		add_perspective = true
	},
	{
		minimum_darkness = 0.3,
		color = { r = 1, g = 1, b = 1, a = 0 },
		shift = {0, -2},
		size = 15,
		intensity = 0.3,
	},
	{
		minimum_darkness = 0.3,
		color = { r = 1, g = 1, b = 1, a = 0 },
		shift = {0, 2},
		size = 15,
		intensity = 0.3,
	}
}

-- entity_type => property_for_upgrade => value_to_set 
local light_updates = {
	player = {
		light = {
			{
				minimum_darkness = 0.3,
				intensity = 0.4,
				size = 25,
				color = {r=1.0, g=1.0, b=1.0}
			},
			{
				type = "oriented",
				minimum_darkness = 0.3,
				picture =
				{
					filename = "__NightStand__/graphics/light-cone.png",
					priority = "extra-high",
					flags = { "light" },
					scale = 2,
					width = 200,
					height = 150
				},
				shift = {0, -14},
				size = 3,
				intensity = 0.6,
				color = {r=1.0, g=1.0, b=1.0}
			},
		},
	},
	car = {
		light = {
			{
				type = "oriented",
				minimum_darkness = 0.3,
				picture =
				{
					filename = "__NightStand__/graphics/light-cone.png",
					priority = "extra-high",
					flags = { "light" },
					scale = 2,
					width = 200,
					height = 150
				},
				shift = {-0.6, -24},
				size = 5,
				intensity = 0.6,
				color = {r = 0.92, g = 0.77, b = 0.3}
			},
			{
				type = "oriented",
				minimum_darkness = 0.3,
				picture =
				{
					filename = "__NightStand__/graphics/light-cone.png",
					priority = "extra-high",
					flags = { "light" },
					scale = 2,
					width = 200,
					height = 150
				},
				shift = {0.6, -24},
				size = 5,
				intensity = 0.6,
				color = {r = 0.92, g = 0.77, b = 0.3}
			},
			{
				minimum_darkness = 0.3,
				intensity = 0.3,
				size = 25,
				color = {r=1.0, g=1.0, b=1.0}
			}
		}
	},
	locomotive = {
		front_light = {
			{
				type = "oriented",
				minimum_darkness = 0.3,
				picture =
				{
					filename = "__core__/graphics/light-cone.png",
					priority = "extra-high",
					flags = { "light" },
					scale = 2,
					width = 200,
					height = 200
				},
				shift = {-0.6, -28},
				size = 4,
				intensity = 0.6,
				color = {r = 1.0, g = 0.9, b = 0.9}
			},
			{
				type = "oriented",
				minimum_darkness = 0.3,
				picture =
				{
					filename = "__core__/graphics/light-cone.png",
					priority = "extra-high",
					flags = { "light" },
					scale = 2,
					width = 200,
					height = 200
				},
				shift = {0.6, -28},
				size = 4,
				intensity = 0.6,
				color = {r = 1.0, g = 0.9, b = 0.9}
			},
			{
				minimum_darkness = 0.3,
				intensity = 0.3,
				size = 25,
				color = {r=1.0, g=1.0, b=1.0}
			}
		},
		stand_by_light = stand_by_lights,
		back_light = back_lights
	},
	["cargo-wagon"] = {
		stand_by_light = stand_by_lights,
		back_light = back_lights
	},
	["fluid-wagon"] = {
		stand_by_light = stand_by_lights,
		back_light = back_lights
	},
	["artillery-wagon"] = {
		stand_by_light = stand_by_lights,
		back_light = back_lights
	},
}


data.raw["lamp"]["small-lamp"].fast_replaceable_group = "small-lamp"

local cone_lamp = table.deepcopy(data.raw.lamp["small-lamp"])
cone_lamp.name = "cone-lamp"
cone_lamp.light = {
	type = "oriented",
	picture =
	{
		filename = "__NightStand__/graphics/light-cone.png",
		priority = "extra-high",
		flags = { "light" },
		scale = 2,
		width = 200,
		height = 150
	},
	minimum_darkness = 0.3,
	shift = {0, -18},
	size = 4,
	intensity = 0.9,
	color = {r=1.0, g=1.0, b=1.0}
}

cone_lamp.energy_usage_per_tick = "1kW"
cone_lamp.energy_source = {
	type = "burner",
	fuel_category = "chemical",
	effectivity = 1,
	fuel_inventory_size = 1,
	usage_priority = "lamp",
	buffer_capacity = "1GJ"
}

cone_lamp.darkness_for_all_lamps_off = 0.1
cone_lamp.light_when_colored = {
	type = "oriented",
	picture =
	{
		filename = "__NightStand__/graphics/light-cone.png",
		priority = "extra-high",
		flags = { "light" },
		scale = 2,
		width = 200,
		height = 150
	},
	shift = {0, -9},
	size = 2,
	intensity = 1,
	color = {r=1.0, g=1.0, b=1.0}
}
cone_lamp.glow_size=20
cone_lamp.minable = {hardness = 0.2, mining_time = 0.5, result = "cone-lamp"},
data:extend({
	cone_lamp,
	{
		type = "item",
		name = "cone-lamp",
		icon = "__base__/graphics/icons/small-lamp.png",
		icon_size = 32,
		flags = {"goes-to-quickbar"},
		subgroup = "circuit-network",
		order = "a[light]-b[cone-lamp]",
		place_result = "cone-lamp",
		stack_size = 50
	},
})

for kind, props in pairs(light_updates) do
	for _, protorype in pairs(data.raw[kind]) do
		for name, value in pairs(props) do
			protorype[name] = value
		end
	end
end

local train_stop_light = {
	intensity = 0.3,
	size = 10,
	color = {r = 1.0, g = 1.0, b = 1.0},
	shift = {0, 1.5},
}
data.raw["train-stop"]["train-stop"].light1.light = train_stop_light
data.raw["train-stop"]["train-stop"].light2.light = train_stop_light
