data:extend({
	-- aux recipe --
	{
		type = "recipe-category",
		name = "nstand-light"
	},
	{
		type = "recipe",
		name = "nstand-light",
		category = "nstand-light",
		enabled = true,
		hidden = true,
		energy_required = 10,
		ingredients = {},
		results = {
		{
			type = "item", name = "nstand-light", amount = 1, probability = 0}
		},
		order = "none"
	},
	{
		type = "item",
		name = "nstand-light",
		icon = "__NightStand__/graphics/light.png",
		icon_size = 32,
		flags = {"hidden"},
		order = "a[light]-0[light]",
		stack_size = 1
	},
	
	-- cresset --
	{
		type = "item",
		name = "nstand-cresset",
		icon = "__NightStand__/graphics/cresset-icon.png",
		icon_size = 32,
		flags = {"goes-to-quickbar"},
		subgroup = "circuit-network",
		order = "a[light]-c[cresset]",
		place_result = "nstand-cresset",
		stack_size = 50
	},
	{
		type = "recipe",
		name = "nstand-cresset",
		ingredients = {{"stone", 2}, {"iron-plate", 1}},
		enabled = true,
		result = "nstand-cresset"
	},
	{
		type = "assembling-machine",
		name = "nstand-cresset",
		icon = "__NightStand__/graphics/cresset-icon.png",
		icon_size = 32,
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {mining_time = 0.2, result = "nstand-cresset"},
		max_health = 100,
		corpse = "small-remnants",
		repair_sound = { filename = "__base__/sound/manual-repair-simple.ogg" },
		mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		vehicle_impact_sound =  { filename = "__base__/sound/car-stone-impact.ogg", volume = 1.0 },
		working_sound =
		{
			sound = { filename = "__base__/sound/furnace.ogg", }
		},
		resistances =
		{
			{
				type = "fire",
				percent = 90
			},
			{
				type = "explosion",
				percent = 20
			},
			{
				type = "impact",
				percent = 20
			}
		},
		collision_box = {{-0.25, -0.25}, {0.25, 0.25}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		crafting_categories = {"nstand-light"},
		fixed_recipe = "nstand-light",
		ingredient_count = 1,
		result_inventory_size = 1,
		energy_usage = "5kW",
		crafting_speed = 1,
		source_inventory_size = 0,
		energy_source =
		{
			type = "burner",
			fuel_category = "chemical",
			effectivity = 0.2,
			fuel_inventory_size = 1,
			emissions = 0.01
		},
		animation =
		{
			layers =
			{
				{
					filename = "__NightStand__/graphics/cresset-base.png",
					priority = "high",
					width = 42,
					height = 36,
					frame_count = 1,
					axially_symmetrical = false,
					direction_count = 1,
					shift = {0, 0}
				},
				{
					filename = "__base__/graphics/entity/small-lamp/lamp-shadow.png",
					priority = "high",
					width = 38,
					height = 24,
					frame_count = 1,
					axially_symmetrical = false,
					direction_count = 1,
					draw_as_shadow = true,
					shift = {0, 0.0625}
				}
			}
		},
		working_visualisations =
		{
			{
				north_position = {0.0, 0.0},
				east_position = {0.0, 0.0},
				south_position = {0.0, 0.0},
				west_position = {0.0, 0.0},
				animation =
				{
					filename = "__base__/graphics/entity/fire-flame/fire-flame-03.png",
					line_length = 8,
					width = 74,
					height = 117,
					frame_count = 32,
					axially_symmetrical = false,
					direction_count = 1,
					blend_mode = "additive",
					animation_speed = 0.8,
					scale = 0.3,
					tint = {r=1,g=1,b=1,a=1},
					shift = { 0.02, -0.45 }
				},
				light = {intensity = 0.9, size = 40, color = {r=0.93, g=0.77, b=0.2}}
			}
		},
		fast_replaceable_group = "cresset"
	},
	
})
